javax.media.j3d

## Class DepthComponent

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.NodeComponent
    - - javax.media.j3d.DepthComponent

- Direct Known Subclasses:
    DepthComponentFloat, DepthComponentInt, DepthComponentNative

      public abstract class DepthComponent
      extends NodeComponent

  Abstract base class that defines a 2D array of depth (Z) values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALLOW_DATA_READ` Specifies that this DepthComponent object allows reading its depth data component information.
    `static int` | `ALLOW_SIZE_READ` Specifies that this DepthComponent object allows reading its size component information (width and height).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Retrieves the height of this depth component object.
    `int` | `getWidth()` Retrieves the width of this depth component object.

    - ### Methods inherited from class javax.media.j3d.NodeComponent

      `cloneNodeComponent, cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

    - ### Methods inherited from class javax.media.j3d.SceneGraphObject

      `clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_SIZE_READ

          public static final int ALLOW_SIZE_READ

      Specifies that this DepthComponent object allows reading its size component information (width and height).
      See Also:
        Constant Field Values

    - #### ALLOW_DATA_READ

          public static final int ALLOW_DATA_READ

      Specifies that this DepthComponent object allows reading its depth data component information.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Retrieves the width of this depth component object.
      Returns:
        the width of the array of depth values
      Throws:
        `CapabilityNotSetException` - if appropriate capability is not set and this object is part of live or compiled scene graph

    - #### getHeight

          public int getHeight()

      Retrieves the height of this depth component object.
      Returns:
        the height of the array of depth values
      Throws:
        `CapabilityNotSetException` - if appropriate capability is not set and this object is part of live or compiled scene graph

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.